<?php
include 'header.php';
header('Access-Control-Allow-Origin: *'); 
//require_once "usuario.php";
$user = getLoggedUser();
$grp_user = $_SESSION[SESSION_USER_NAME]['grupo'];

$id_unid = $user['unidade'];

$sql_unid = "Select ds_logo from erpc_unidades where id = 1";
$resultado_unid = mysqli_query($conexao, $sql_unid);
if(mysqli_num_rows($resultado_unid) > 0){
}else{
    $sql_up_unid = "update erpc_unidades set ds_logo = 'img/logo_nao_deletar.jpg' where id=$id_unid";
    mysqli_query($conexao,$sql_up_unid);
}


if(isset($_POST['dt_venc'])){
   $dt_venc = $_POST['dt_venc'];
}
   
?>


<div class="block">
  <div class="header">
    <h2>Desktop</h2>
  </div>
  <?php
  global $user;
 
 //Henrique - seleciona apenas os módulos relacionados ao grupo ao qual o usuário pertence
 $sql = "select 		m.*
                    from 
                    			erpc_modulos m
                                inner join erpc_modulo_grupo mg
                                	on mg.id_modulo = m.id
                                inner join erpc_usuarios_grupo ug
                                	on ug.id = mg.id_grupo
                    where 
                    			ug.id = '$grp_user'";

            
  /*
  $sql ='select m.*
            from erpc_modulos m
            left join erpc_modulos_funcionalidades mf on mf.id_modulo = m.id
            left join erpc_funcionalidades f on mf.id_funcionalidade = f.id
            left join erpc_grupo_funcionalidade gf on gf.id_funcionalidade = f.id
            left join erpc_usuarios_grupo ug on ug.id = gf.id_grupo
            where m.st_ativo =1
            group by m.id, m.ds_modulo order by m.ds_modulo';
  */
  $result = mysqli_query($conexao, $sql);
  if ($result === false) {
    addError(mysqli_error($conexao));
  }
  ?>
  <div class="content">
    <?php
    //echo '<pre>' . var_export($_SESSION, true) . '</pre>';
    displayMessagesAndErrors();
    ?>
    <div class="row">
      <?php
      if ($result) {
        while($row = $result->fetch_assoc()){
            
          $id_mod = $row['id'];
          $id_crip = base64_encode($id_mod);
          
          echo "<div class='col-xs-6 col-sm-4 col-md-3 text-center'>
                  <a href='index.php?modulo=$id_crip'>
                      <img witdh=8 heigth=8 class='img-responsive center-block' src='$row[ds_icone]' />
                      $row[ds_modulo]
                  </a>
                </div>" . PHP_EOL;
        }
      }
      ?>

    </div>
  </div> <!-- content -->
</div> <!-- block -->


<?php
    include 'footer.php';
?>
